<?php
/**
 * @package     Extly.Templates
 * @subpackage  jimpress - JImpress is an impress.js implementation for Joomla
 * 
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL 
 * @link        http://www.extly.com http://support.extly.com 
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/* The following line gets the application object for things like displaying the site name */
$app = JFactory::getApplication();
?>
<?php echo '<?'; ?>xml version="1.0" encoding="<?php echo $this->_charset ?>"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php
	echo $this->language;
?>" lang="<?php
	echo $this->language;
?>" dir="<?php
	echo $this->direction;
?>" >
	<head>
		<jdoc:include type="head" />

		<meta name="viewport" content="width=1024" />
		<meta name="apple-mobile-web-app-capable" content="yes" />

		<link href="http://fonts.googleapis.com/css?family=Open+Sans:regular,semibold,italic,italicsemibold|PT+Sans:400,700,400italic,700italic|PT+Serif:400,700,400italic,700italic" rel="stylesheet" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/impress.css" type="text/css" />
                <link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/general.css" type="text/css" />

		<link rel="shortcut icon" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/favicon.png" />
		<link rel="apple-touch-icon" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/apple-touch-icon.png" />
	</head>
	<body class="impress-not-supported">
            
		<jdoc:include type="message" />            

		<div class="fallback-message">
			<p>Your browser <b>doesn't support the features required</b> by impress.js,
				so you are presented with a simplified version of this presentation.</p>
			<p>For the best experience please use the latest <b>Chrome</b>, <b>Safari</b> or <b>Firefox</b> browser.</p>
		</div>		

		<div id="impress">
			<jdoc:include type="component" />
		</div>
                
		<div class="powerby-message">
			<p><?php echo JText::_('TPL_JIMPRESS_POWEREDBY') ?></p>
		</div>		
                
		<div class="hint">
			<p>Use a spacebar or arrow keys to navigate</p>
		</div>
		<script>
			if ("ontouchstart" in document.documentElement) { 
				document.querySelector(".hint").innerHTML = "<p>Tap on the left or right to navigate</p>";
			}
		</script>

		<script src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/impress-min.js"></script>
		<script>impress().init();</script>

	</body>
</html>